Liblinphone: linphone::ParticipantDeviceIdentity Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::ParticipantDeviceIdentity Class Reference

This object is only used on server side for ChatRoom with ChatRoomBackend::FlexisipChat backend. More...

`#include <participant_device_identity.hh>`

Inheritance diagram for linphone::ParticipantDeviceIdentity:

## Public Member Functions
| ParticipantDeviceIdentity (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneParticipantDeviceIdentity * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getAddress () const
| Get the address of the participant device. More...
LINPHONECXX_PUBLIC std::string | getCapabilityDescriptor () const
| Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity. More...
LINPHONECXX_PUBLIC void | setCapabilityDescriptor (const std::string &capabilityDescriptor)
| Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity. More...

## Detailed Description

This object is only used on server side for ChatRoom with ChatRoomBackend::FlexisipChat backend.

## Member Function Documentation

## ◆ getAddress()

LINPHONECXX_PUBLIC std::shared_ptr<const linphone::Address> linphone::ParticipantDeviceIdentity::getAddress | ( |  | ) | const

Get the address of the participant device.

Returns
  the address.

## ◆ getCapabilityDescriptor()

LINPHONECXX_PUBLIC std::string linphone::ParticipantDeviceIdentity::getCapabilityDescriptor | ( |  | ) | const

Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Returns
  the capability descriptor string.

## ◆ setCapabilityDescriptor()

LINPHONECXX_PUBLIC void linphone::ParticipantDeviceIdentity::setCapabilityDescriptor | ( | const std::string & | capabilityDescriptor | ) |

Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Parameters

  capabilityDescriptor | the capability descriptor string.

The documentation for this class was generated from the following file:

- participant_device_identity.hh